Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	ifplugd is a Linux daemon which will automatically configure your ethernet device
Name:		ifplugd
Version:	0.28
Release:	5
License:	GNU/GPL 
URL:		http://0pointer.de/lennart/projects/ifplugd
Group:		System/Configuration/Hardware
Source0:	%{name}-%{version}.tar.gz
Patch0:		interface_c.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libdaemon-devel
Requires:	libdaemon

%description
ifplugd is a Linux daemon which will automatically configure your
ethernet device when a cable is plugged in and automatically
unconfigure it if the cable is pulled. This is useful on laptops with
onboard network adapters, since it will only configure the interface
when a cable is really connected.

ifplugd ifplugd interfaces with your distribution's native network
configuration utilities.

Some features:
     * Uses your distribution's native ifup/ifdown programs.
     * May beep when the cable is unplugged, plugged, the interface
       configuration succeeded or failed.
     * Supports the Linux SIOCETHTOOL (newer, aka ethtool API),
       SIOCGMIIREG (older, aka mii-diag/mii-tool API) and SIOCDEVPRIVATE
       (oldest, aka mii-tool API) ioctl()s for getting link status.
       Release 0.24 introduces support for link detection with the
       IFF_RUNNING interface flag.
     * Syslog support
     * Small program - the binary is just 25 KB (plus 16 KB for
       libdaemon).
     * Multiple ethernet interface support
     * Can be configured to ignore short "unplugged" periods (-d option)
       or short "plugged" periods(-u option)
     * Support for wireless networking. Whenever an association to an AP
       is detected the network is configured. Have a look on [29]waproamd
       if you need a facility to configure WEP keys before AP
       associations succeed.
     * Compatibility mode for network devices which do not support cable
       detection (-F option)

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
sed -i "s#test\ -d\ /etc/init.d#0#" configure
./configure --prefix=%_prefix --mandir=%_mandir --disable-lynx --sysconfdir=%_sysconfdir --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT/etc/rc.d

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/ifplugd/ifplugd.conf
%_sysconfdir/ifplugd/ifplugd.action
%_prefix/sbin/ifplug*
%_mandir/man5/*
%_mandir/man8/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 29 2009 Christian Metzen <metzench@ccux-linux.de> 0.28-5
- remove post/postun scriplets, not necessary here
* Wed Apr 29 2009 Christian Metzen <metzench@ccux-linux.de> 0.28-4
- remove runlevel entries, etcnet starts it automatically if supported
- revise filelist
* Sat Aug 20 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.28-3
- Added Runlevel entiries
* Mon Jun 20 2005 Christian Metzen <metzench@ccux-linux.de> 0.28-2
- Tweaked specfile
* Wed Jun 08 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.28-1
- Initial Release
